/*
	ConvertDefaultsFloatCmd.h  - set defaults for f.p. conversion

	Will Eighteen, 2000: will@opaline.demon.co.uk
*/

#ifndef CONVERTDEFAULTSFLOATCMD_H
#define CONVERTDEFAULTSFLOATCMD_H

#include "Cmd.h"


typedef void ( *enterCallback ) ( void *, char * );
typedef void ( *cancelCallback ) ( void * );


class LineEdit;

class ConvertDefaultsFloatCmd : public Cmd
{
	protected:
		virtual void doCommand();
		virtual void undoCommand();
		
	public:
		ConvertDefaultsFloatCmd ( const char *, int active = TRUE );
		virtual const char *const className() { return ( "ConvertDefaultsFloatCmd" ); }
		
	private:
		// note 'ok' is mapped to 'enter' by LineEdit
		static void enterCallback ( void *, char * );
		static void cancelCallback ( void * );
		void enter( char * );
		LineEdit *_edit;
		Boolean _popupRealised;
};

#endif

/*
  Notes:
  
  UndoCommand is not implemented here.
  
  The 'cancel' command is defaulted in TextEdit.
  
  'doCommand()' should provide a resource to be displayed.
  'enter' should set a resource from text retrieved from the text widget.
*/
